> ## Documentation Index
> Fetch the complete documentation index at: https://developers.super.work/llms.txt
> Use this file to discover all available pages before exploring further.

# Ask a question

> Ask a question to your super assistant
The scope of the data used to answer the question is restricted to the authenticated user.
Various optional filters are available to restrict the scope of the data even more.



## OpenAPI

````yaml post /super
openapi: 3.0.0
info:
  title: Public Super api
  version: '1'
  description: Run super queries, digests, index and manage custom sources.
  license:
    name: private
  contact:
    name: Slite
servers:
  - url: https://api.super.work/v1
security: []
paths:
  /super:
    post:
      summary: Ask a question
      description: >-
        Ask a question to your super assistant

        The scope of the data used to answer the question is restricted to the
        authenticated user.

        Various optional filters are available to restrict the scope of the data
        even more.
      operationId: super
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SuperRequest'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnswerAndSources'
              examples:
                Example 1:
                  value:
                    answer: The onboarding steps are...
                    sources:
                      - title: Onboarding
                        url: https://slite.slite.page/p/S1TSuHnZf/Security-at-Slite
                        id: S1TSuHnZf
                        updatedAt: '2021-01-01T00:00:00.000Z'
        '401':
          description: Invalid authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiAuthError'
        '422':
          description: Ask feature is disabled
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AskDisabledError'
        '429':
          description: Ask rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AskRateLimitedError'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
      security:
        - api_key: []
          bearer: []
components:
  schemas:
    SuperRequest:
      properties:
        question:
          type: string
          description: Question to ask on super
          example: What are the onboarding steps?
        parentId:
          type: string
          description: Optional filter to only return data under this parent note id
        assistantId:
          type: string
          description: Optional filter to use a specific assistant for super only
        callbackUrl:
          type: string
          description: Optional callback URL to send the answer to.
      required:
        - question
      type: object
      additionalProperties: false
    AnswerAndSources:
      properties:
        sources:
          items:
            $ref: '#/components/schemas/Source'
          type: array
          description: Array of sources that were used to answer the question
        answer:
          type: string
          description: Answer to the question
      required:
        - sources
        - answer
      type: object
    PublicApiAuthError:
      properties:
        message:
          type: string
          enum:
            - Invalid apiKey
          nullable: false
        id:
          type: string
          enum:
            - auth/unauthorized
          nullable: false
      required:
        - message
        - id
      type: object
    AskDisabledError:
      properties:
        name:
          type: string
        message:
          type: string
        stack:
          type: string
        id:
          type: string
        status:
          type: number
          format: double
      required:
        - name
        - message
        - id
        - status
      type: object
      additionalProperties: false
    AskRateLimitedError:
      properties:
        name:
          type: string
        message:
          type: string
        stack:
          type: string
        id:
          type: string
        status:
          type: number
          format: double
      required:
        - name
        - message
        - id
        - status
      type: object
      additionalProperties: false
    PublicApiError:
      properties:
        message:
          type: string
        id:
          type: string
      required:
        - message
        - id
      type: object
    Source:
      properties:
        explanation:
          type: string
          description: For super, gives explanation about the source
        updatedAt:
          anyOf:
            - type: string
              format: date-time
            - type: string
          description: Date of the last update of the note
        url:
          type: string
          description: Url of the note
        title:
          type: string
          description: Title of the note
        id:
          type: string
          description: Id of the note
      required:
        - updatedAt
        - url
        - title
        - id
      type: object
  securitySchemes:
    bearer:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://example.com/oauth/authorize
          tokenUrl: https://example.com/oauth/token
          scopes: {}

````